Subject: Bug in handling invisible text, and bug in Pmail.

From: "Richard M. Stallman" <[email-masked]>
Date: Mon, 01 Sep 2008 02:11:33 -0400

In Pmail I had a message that looked like this
(I changed his host name for privacy's sake):

----------------------------------------------------------------------
To: [email-masked]
Subject: sorry that I was distracted with phone calls 
From: [email-masked]
Reply-to: [email-masked]
Date: Thu, 21 Aug 2008 18:46:37 -0700
X-BABYL-V6-ATTRIBUTES: A------

Two other ideas to run past you when time permits.

/w

----------------------------------------------------------------------

and I wanted to copy that into an outgoing message.
So I typed C-x h M-w, went to *mail* and inserted it.
What this inserted appears below.  It was quite a surprise.

It seems there is a lot of invisible text at the beginning of
the buffer, and two different values of point display at the same
place on the screen.  These places are 934995 and 9351405.
(point-min) returns 934995, and that's where M-< moves point to.
Typing C-f C-b moves point to 9351405.  I gather that those two
positions surround the invisible text.	

I think this is a bug in the command loop's handling of invisible
text -- it should not be the case that C-f C-b changes point.

I think it is also a bug in Pmail.  Pmail should set the buffer boundaries
after that text, rather than making it invisible.

If Pmail is fixed, then it won't trigger the invisible text bug.
But I think it needs to be fixed anyway.

----------------------------------------------------------------------
>From [email-masked]  Fri Aug 22 01:11:22 2008
Delivery-date: Fri, 22 Aug 2008 01:11:22 -0400
To: [email-masked]
Subject: sorry that I was distracted with phone calls 
From: [email-masked]
Reply-to: [email-masked]
Date: Thu, 21 Aug 2008 18:46:37 -0700

Two other ideas to run past you when time permits.

/w

----------------------------------------------------------------------